<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): Defined colors for GTG</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Defined colors for GTG</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgtg__color.html">gtg_color</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure defines a color that can be used by GTG.  <a href="structgtg__color.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga9e4cec241556fba74d243092ecb65ff3"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga9e4cec241556fba74d243092ecb65ff3">GTG_COLOR_GET_BLUE</a> (<a class="el" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a> rgb)</td></tr>
<tr class="memdesc:ga9e4cec241556fba74d243092ecb65ff3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the 1-byte value of the blue component of a rgb color.  <a href="#ga9e4cec241556fba74d243092ecb65ff3">More...</a><br /></td></tr>
<tr class="separator:ga9e4cec241556fba74d243092ecb65ff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga47cbb9a6cd672a1b0679a5472dacf0aa"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga47cbb9a6cd672a1b0679a5472dacf0aa">GTG_COLOR_GET_GREEN</a> (<a class="el" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a> rgb)</td></tr>
<tr class="memdesc:ga47cbb9a6cd672a1b0679a5472dacf0aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the 1-byte value of the green component of a rgb color.  <a href="#ga47cbb9a6cd672a1b0679a5472dacf0aa">More...</a><br /></td></tr>
<tr class="separator:ga47cbb9a6cd672a1b0679a5472dacf0aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga223e9945beaf02128c62c359a13381ac"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga223e9945beaf02128c62c359a13381ac">GTG_COLOR_GET_RED</a> (<a class="el" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a> rgb)</td></tr>
<tr class="memdesc:ga223e9945beaf02128c62c359a13381ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the 1-byte value of the red component of a rgb color.  <a href="#ga223e9945beaf02128c62c359a13381ac">More...</a><br /></td></tr>
<tr class="separator:ga223e9945beaf02128c62c359a13381ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0e3d8e413dcbd8f23dfeb5b26bf02ea0"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga0e3d8e413dcbd8f23dfeb5b26bf02ea0">GTG_COLOR_SET_COLOR</a> (uint8_t r, uint8_t g, uint8_t b)</td></tr>
<tr class="memdesc:ga0e3d8e413dcbd8f23dfeb5b26bf02ea0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the 4-bytes RGB color from 3 1-byte components.  <a href="#ga0e3d8e413dcbd8f23dfeb5b26bf02ea0">More...</a><br /></td></tr>
<tr class="separator:ga0e3d8e413dcbd8f23dfeb5b26bf02ea0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:gaa923f594cd6bf3da6a99d672c4438238"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#gaa923f594cd6bf3da6a99d672c4438238">GTG_BLACK</a></td></tr>
<tr class="memdesc:gaa923f594cd6bf3da6a99d672c4438238"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default black color. (R,G,B) = (0, 0, 0)  <a href="#gaa923f594cd6bf3da6a99d672c4438238">More...</a><br /></td></tr>
<tr class="separator:gaa923f594cd6bf3da6a99d672c4438238"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64afa654e5f2102b76dfea9948fcc176"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga64afa654e5f2102b76dfea9948fcc176">GTG_RED</a></td></tr>
<tr class="memdesc:ga64afa654e5f2102b76dfea9948fcc176"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default red color. (R,G,B) = (255, 0, 0)  <a href="#ga64afa654e5f2102b76dfea9948fcc176">More...</a><br /></td></tr>
<tr class="separator:ga64afa654e5f2102b76dfea9948fcc176"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac719b8d82b41edc0d2f29983222586a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#gaac719b8d82b41edc0d2f29983222586a">GTG_GREEN</a></td></tr>
<tr class="memdesc:gaac719b8d82b41edc0d2f29983222586a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default green color. (R,G,B) = (0, 255, 0)  <a href="#gaac719b8d82b41edc0d2f29983222586a">More...</a><br /></td></tr>
<tr class="separator:gaac719b8d82b41edc0d2f29983222586a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ee0cf541a8cfe06ca0071bc12730514"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga8ee0cf541a8cfe06ca0071bc12730514">GTG_BLUE</a></td></tr>
<tr class="memdesc:ga8ee0cf541a8cfe06ca0071bc12730514"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default blue color. (R,G,B) = (0, 0, 255)  <a href="#ga8ee0cf541a8cfe06ca0071bc12730514">More...</a><br /></td></tr>
<tr class="separator:ga8ee0cf541a8cfe06ca0071bc12730514"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21ff1d892d73197f789eadfb5f53ae12"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga21ff1d892d73197f789eadfb5f53ae12">GTG_WHITE</a></td></tr>
<tr class="memdesc:ga21ff1d892d73197f789eadfb5f53ae12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default white color. (R,G,B) = (255, 255, 255)  <a href="#ga21ff1d892d73197f789eadfb5f53ae12">More...</a><br /></td></tr>
<tr class="separator:ga21ff1d892d73197f789eadfb5f53ae12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae5b393a4e0d57100e0809e25ccde762c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#gae5b393a4e0d57100e0809e25ccde762c">GTG_TEAL</a></td></tr>
<tr class="memdesc:gae5b393a4e0d57100e0809e25ccde762c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default teal color. (R,G,B) = (0, 255, 255)  <a href="#gae5b393a4e0d57100e0809e25ccde762c">More...</a><br /></td></tr>
<tr class="separator:gae5b393a4e0d57100e0809e25ccde762c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga088b63848f60b294eb7717f9160ce76a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga088b63848f60b294eb7717f9160ce76a">GTG_DARKGREY</a></td></tr>
<tr class="memdesc:ga088b63848f60b294eb7717f9160ce76a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default dark grey color. (R,G,B) = (85, 85, 85)  <a href="#ga088b63848f60b294eb7717f9160ce76a">More...</a><br /></td></tr>
<tr class="separator:ga088b63848f60b294eb7717f9160ce76a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16c93cd2a5d433fcc87ef02a84799ba5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga16c93cd2a5d433fcc87ef02a84799ba5">GTG_YELLOW</a></td></tr>
<tr class="memdesc:ga16c93cd2a5d433fcc87ef02a84799ba5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default yellow color. (R,G,B) = (255, 255, 0)  <a href="#ga16c93cd2a5d433fcc87ef02a84799ba5">More...</a><br /></td></tr>
<tr class="separator:ga16c93cd2a5d433fcc87ef02a84799ba5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac22398d68421bab69f56bad3aec370aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#gac22398d68421bab69f56bad3aec370aa">GTG_PURPLE</a></td></tr>
<tr class="memdesc:gac22398d68421bab69f56bad3aec370aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default purple color. (R,G,B) = (153, 25, 230)  <a href="#gac22398d68421bab69f56bad3aec370aa">More...</a><br /></td></tr>
<tr class="separator:gac22398d68421bab69f56bad3aec370aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf971085c762299a3ddc48983c5be7ba1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#gaf971085c762299a3ddc48983c5be7ba1">GTG_LIGHTBROWN</a></td></tr>
<tr class="memdesc:gaf971085c762299a3ddc48983c5be7ba1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default light brown color. (R,G,B) = (170, 130, 130)  <a href="#gaf971085c762299a3ddc48983c5be7ba1">More...</a><br /></td></tr>
<tr class="separator:gaf971085c762299a3ddc48983c5be7ba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa0b434824fb73ef2aca7b3ea80b1d5fc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#gaa0b434824fb73ef2aca7b3ea80b1d5fc">GTG_LIGHTGREY</a></td></tr>
<tr class="memdesc:gaa0b434824fb73ef2aca7b3ea80b1d5fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default light grey color. (R,G,B) = (200, 200, 200)  <a href="#gaa0b434824fb73ef2aca7b3ea80b1d5fc">More...</a><br /></td></tr>
<tr class="separator:gaa0b434824fb73ef2aca7b3ea80b1d5fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafb573eac9a0e0e5b87f53381a52fb5a5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#gafb573eac9a0e0e5b87f53381a52fb5a5">GTG_DARKBLUE</a></td></tr>
<tr class="memdesc:gafb573eac9a0e0e5b87f53381a52fb5a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default dark blue color. (R,G,B) = (0, 0, 80)  <a href="#gafb573eac9a0e0e5b87f53381a52fb5a5">More...</a><br /></td></tr>
<tr class="separator:gafb573eac9a0e0e5b87f53381a52fb5a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga190c0283ea923a8985673bf855acb0f1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga190c0283ea923a8985673bf855acb0f1">GTG_PINK</a></td></tr>
<tr class="memdesc:ga190c0283ea923a8985673bf855acb0f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default pink color. (R,G,B) = (255, 0, 255)  <a href="#ga190c0283ea923a8985673bf855acb0f1">More...</a><br /></td></tr>
<tr class="separator:ga190c0283ea923a8985673bf855acb0f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa08fc4857b39b8de719eb2856b040ebe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#gaa08fc4857b39b8de719eb2856b040ebe">GTG_DARKPINK</a></td></tr>
<tr class="memdesc:gaa08fc4857b39b8de719eb2856b040ebe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default dark pink color. (R,G,B) = (180, 80, 180)  <a href="#gaa08fc4857b39b8de719eb2856b040ebe">More...</a><br /></td></tr>
<tr class="separator:gaa08fc4857b39b8de719eb2856b040ebe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64753688aed5f6684f07f8e0878f312e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga64753688aed5f6684f07f8e0878f312e">GTG_SEABLUE</a></td></tr>
<tr class="memdesc:ga64753688aed5f6684f07f8e0878f312e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default sea blue color. (R,G,B) = (25, 128, 200)  <a href="#ga64753688aed5f6684f07f8e0878f312e">More...</a><br /></td></tr>
<tr class="separator:ga64753688aed5f6684f07f8e0878f312e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga39b7ac86d036b3eeffb481bb8c7a0404"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga39b7ac86d036b3eeffb481bb8c7a0404">GTG_KAKI</a></td></tr>
<tr class="memdesc:ga39b7ac86d036b3eeffb481bb8c7a0404"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default kaki color. (R,G,B) = (80, 100, 25)  <a href="#ga39b7ac86d036b3eeffb481bb8c7a0404">More...</a><br /></td></tr>
<tr class="separator:ga39b7ac86d036b3eeffb481bb8c7a0404"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabbc9bfb94e29f9403a7e139e4f4bf87a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#gabbc9bfb94e29f9403a7e139e4f4bf87a">GTG_REDBLOOD</a></td></tr>
<tr class="memdesc:gabbc9bfb94e29f9403a7e139e4f4bf87a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default red blood color. (R,G,B) = (200, 25, 25)  <a href="#gabbc9bfb94e29f9403a7e139e4f4bf87a">More...</a><br /></td></tr>
<tr class="separator:gabbc9bfb94e29f9403a7e139e4f4bf87a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadce47970948c2b8fed1561b4ad48a77d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#gadce47970948c2b8fed1561b4ad48a77d">GTG_BROWN</a></td></tr>
<tr class="memdesc:gadce47970948c2b8fed1561b4ad48a77d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default brown color. (R,G,B) = (100, 25, 25)  <a href="#gadce47970948c2b8fed1561b4ad48a77d">More...</a><br /></td></tr>
<tr class="separator:gadce47970948c2b8fed1561b4ad48a77d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga522dceb98e51420b5145113ba0297eba"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga522dceb98e51420b5145113ba0297eba">GTG_GRENAT</a></td></tr>
<tr class="memdesc:ga522dceb98e51420b5145113ba0297eba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default grenat color. (R,G,B) = (100, 0, 80)  <a href="#ga522dceb98e51420b5145113ba0297eba">More...</a><br /></td></tr>
<tr class="separator:ga522dceb98e51420b5145113ba0297eba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5ab65b258d884aee7f7510728c3a9c7d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga5ab65b258d884aee7f7510728c3a9c7d">GTG_ORANGE</a></td></tr>
<tr class="memdesc:ga5ab65b258d884aee7f7510728c3a9c7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default orange color. (R,G,B) = (255, 160, 0)  <a href="#ga5ab65b258d884aee7f7510728c3a9c7d">More...</a><br /></td></tr>
<tr class="separator:ga5ab65b258d884aee7f7510728c3a9c7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4de28f536dd910bf024fc2caa5234cb5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga4de28f536dd910bf024fc2caa5234cb5">GTG_MAUVE</a></td></tr>
<tr class="memdesc:ga4de28f536dd910bf024fc2caa5234cb5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default mauve color. (R,G,B) = (128, 0, 255)  <a href="#ga4de28f536dd910bf024fc2caa5234cb5">More...</a><br /></td></tr>
<tr class="separator:ga4de28f536dd910bf024fc2caa5234cb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27a569b9d34652d78d38ce7f7cda6794"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGColor.html#ga27a569b9d34652d78d38ce7f7cda6794">GTG_LIGHTPINK</a></td></tr>
<tr class="memdesc:ga27a569b9d34652d78d38ce7f7cda6794"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default light pink color. (R,G,B) = (255, 128, 255)  <a href="#ga27a569b9d34652d78d38ce7f7cda6794">More...</a><br /></td></tr>
<tr class="separator:ga27a569b9d34652d78d38ce7f7cda6794"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga9e4cec241556fba74d243092ecb65ff3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GTG_COLOR_GET_BLUE </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a>&#160;</td>
          <td class="paramname"><em>rgb</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the 1-byte value of the blue component of a rgb color. </p>

</div>
</div>
<a class="anchor" id="ga47cbb9a6cd672a1b0679a5472dacf0aa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GTG_COLOR_GET_GREEN </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a>&#160;</td>
          <td class="paramname"><em>rgb</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the 1-byte value of the green component of a rgb color. </p>

</div>
</div>
<a class="anchor" id="ga223e9945beaf02128c62c359a13381ac"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GTG_COLOR_GET_RED </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a>&#160;</td>
          <td class="paramname"><em>rgb</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the 1-byte value of the red component of a rgb color. </p>

</div>
</div>
<a class="anchor" id="ga0e3d8e413dcbd8f23dfeb5b26bf02ea0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GTG_COLOR_SET_COLOR </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>g</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the 4-bytes RGB color from 3 1-byte components. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="gaa923f594cd6bf3da6a99d672c4438238"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_BLACK</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default black color. (R,G,B) = (0, 0, 0) </p>

</div>
</div>
<a class="anchor" id="ga8ee0cf541a8cfe06ca0071bc12730514"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_BLUE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default blue color. (R,G,B) = (0, 0, 255) </p>

</div>
</div>
<a class="anchor" id="gadce47970948c2b8fed1561b4ad48a77d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_BROWN</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default brown color. (R,G,B) = (100, 25, 25) </p>

</div>
</div>
<a class="anchor" id="gafb573eac9a0e0e5b87f53381a52fb5a5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_DARKBLUE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default dark blue color. (R,G,B) = (0, 0, 80) </p>

</div>
</div>
<a class="anchor" id="ga088b63848f60b294eb7717f9160ce76a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_DARKGREY</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default dark grey color. (R,G,B) = (85, 85, 85) </p>

</div>
</div>
<a class="anchor" id="gaa08fc4857b39b8de719eb2856b040ebe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_DARKPINK</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default dark pink color. (R,G,B) = (180, 80, 180) </p>

</div>
</div>
<a class="anchor" id="gaac719b8d82b41edc0d2f29983222586a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_GREEN</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default green color. (R,G,B) = (0, 255, 0) </p>

</div>
</div>
<a class="anchor" id="ga522dceb98e51420b5145113ba0297eba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_GRENAT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default grenat color. (R,G,B) = (100, 0, 80) </p>

</div>
</div>
<a class="anchor" id="ga39b7ac86d036b3eeffb481bb8c7a0404"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_KAKI</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default kaki color. (R,G,B) = (80, 100, 25) </p>

</div>
</div>
<a class="anchor" id="gaf971085c762299a3ddc48983c5be7ba1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_LIGHTBROWN</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default light brown color. (R,G,B) = (170, 130, 130) </p>

</div>
</div>
<a class="anchor" id="gaa0b434824fb73ef2aca7b3ea80b1d5fc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_LIGHTGREY</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default light grey color. (R,G,B) = (200, 200, 200) </p>

</div>
</div>
<a class="anchor" id="ga27a569b9d34652d78d38ce7f7cda6794"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_LIGHTPINK</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default light pink color. (R,G,B) = (255, 128, 255) </p>

</div>
</div>
<a class="anchor" id="ga4de28f536dd910bf024fc2caa5234cb5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_MAUVE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default mauve color. (R,G,B) = (128, 0, 255) </p>

</div>
</div>
<a class="anchor" id="ga5ab65b258d884aee7f7510728c3a9c7d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_ORANGE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default orange color. (R,G,B) = (255, 160, 0) </p>

</div>
</div>
<a class="anchor" id="ga190c0283ea923a8985673bf855acb0f1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_PINK</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default pink color. (R,G,B) = (255, 0, 255) </p>

</div>
</div>
<a class="anchor" id="gac22398d68421bab69f56bad3aec370aa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_PURPLE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default purple color. (R,G,B) = (153, 25, 230) </p>

</div>
</div>
<a class="anchor" id="ga64afa654e5f2102b76dfea9948fcc176"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_RED</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default red color. (R,G,B) = (255, 0, 0) </p>

</div>
</div>
<a class="anchor" id="gabbc9bfb94e29f9403a7e139e4f4bf87a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_REDBLOOD</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default red blood color. (R,G,B) = (200, 25, 25) </p>

</div>
</div>
<a class="anchor" id="ga64753688aed5f6684f07f8e0878f312e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_SEABLUE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default sea blue color. (R,G,B) = (25, 128, 200) </p>

</div>
</div>
<a class="anchor" id="gae5b393a4e0d57100e0809e25ccde762c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_TEAL</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default teal color. (R,G,B) = (0, 255, 255) </p>

</div>
</div>
<a class="anchor" id="ga21ff1d892d73197f789eadfb5f53ae12"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_WHITE</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default white color. (R,G,B) = (255, 255, 255) </p>

</div>
</div>
<a class="anchor" id="ga16c93cd2a5d433fcc87ef02a84799ba5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTG_YELLOW</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default yellow color. (R,G,B) = (255, 255, 0) </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
